# AgentOps

AgentOps is an AI-powered testing and quality assurance platform designed for non-technical users and AI-first teams. It provides visual feedback, seamless integration with AI coding tools, and builds defensibility through data collection.

## Phase 1: Code Confidence Companion (SLC MVP)

- Basic test generation and coverage visualization
- CLI interface and GitHub integration
- Simple visual feedback for code confidence

## Project Structure

- `agentops_cli/` - CLI Interface
- `agentops_core/` - Core Services (test generation, analysis, coverage)
- `agentops_dashboard/` - Web Dashboard (visual feedback)
- `agentops_integrations/` - Integration Layer (GitHub, IDE, AI tools)
- `agentops_data/` - Data Layer (DB, analytics)
- `tests/` - Project tests
- `scripts/` - Utility scripts
- `docs/` - Documentation
